Loading...
Searching...
No Matches
seqan3::structure_file_input_options< seq_legal_alphabet, structured_seq_combined > Struct Template Reference
IO » Structure File

The options type defines various option members that influence the behaviour of all or some formats. More...

`#include <seqan3/io/structure_file/input_options.hpp>`

Inheritance diagram for seqan3::structure_file_input_options< seq_legal_alphabet, structured_seq_combined >:
[legend]

## Public Attributes

bool | truncate_ids = false
| Read the ID string only up until the first whitespace character.

## Detailed Description

template<typename seq_legal_alphabet, bool structured_seq_combined>
struct seqan3::structure_file_input_options< seq_legal_alphabet, structured_seq_combined >

The options type defines various option members that influence the behaviour of all or some formats.

Template Parameters

  seq_legal_alphabet | The sequence legal alphabet exposed as type trait to the format.
  structured_seq_combined | Trait that exposes to the format whether seq and structure arguments are actually the same/combined.

Remarks
  For a complete overview, take a look at Structure File

The documentation for this struct was generated from the following file:

- structure_file/input_options.hpp

Hide me